cpw.mods.fml.common.modloader

## Interface BaseModProxy

- All Known Implementing Classes:
    BaseMod

      public interface BaseModProxy

  Marker interface for BaseMod
  Author:
    cpw

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `addFuel(int itemId, int damage)`
    `void` | `clientChat(String text)`
    `boolean` | `doTickInGame(TickType type, boolean end, Object... tickData)`
    `boolean` | `doTickInGUI(TickType type, boolean end, Object... tickData)`
    `void` | `generateNether(World w, Random random, int i, int j)`
    `void` | `generateSurface(World w, Random random, int i, int j)`
    `String` | `getName()`
    `String` | `getPriorities()`
    `String` | `getVersion()`
    `void` | `load()`
    `void` | `modsLoaded()`
    `void` | `onClientLogin(EntityPlayer player)`
    `void` | `onClientLogout(INetworkManager manager)`
    `void` | `onItemPickup(EntityPlayer player, ItemStack item)`
    `void` | `receiveCustomPacket(Packet250CustomPayload packet)`
    `void` | `serverChat(NetServerHandler source, String message)`
    `void` | `serverConnect(NetHandler handler)`
    `void` | `serverCustomPayload(NetServerHandler handler, Packet250CustomPayload packet)`
    `void` | `serverDisconnect()`
    `void` | `takenFromCrafting(EntityPlayer player, ItemStack item, IInventory craftMatrix)`
    `void` | `takenFromFurnace(EntityPlayer player, ItemStack item)`

- - ### Method Detail

    - #### modsLoaded

          void modsLoaded()

    - #### load

          void load()

    - #### getName

          String getName()

    - #### getPriorities

          String getPriorities()

    - #### getVersion

          String getVersion()

    - #### doTickInGUI

          boolean doTickInGUI(TickType type,
                            boolean end,
                            Object... tickData)

    - #### doTickInGame

          boolean doTickInGame(TickType type,
                             boolean end,
                             Object... tickData)

    - #### generateSurface

          void generateSurface(World w,
                             Random random,
                             int i,
                             int j)

    - #### generateNether

          void generateNether(World w,
                            Random random,
                            int i,
                            int j)

    - #### addFuel

          int addFuel(int itemId,
                    int damage)

    - #### takenFromCrafting

          void takenFromCrafting(EntityPlayer player,
                               ItemStack item,
                               IInventory craftMatrix)

    - #### takenFromFurnace

          void takenFromFurnace(EntityPlayer player,
                              ItemStack item)

    - #### onClientLogout

          void onClientLogout(INetworkManager manager)

    - #### onClientLogin

          void onClientLogin(EntityPlayer player)

    - #### serverDisconnect

          void serverDisconnect()

    - #### serverConnect

          void serverConnect(NetHandler handler)

    - #### receiveCustomPacket

          void receiveCustomPacket(Packet250CustomPayload packet)

    - #### clientChat

          void clientChat(String text)

    - #### onItemPickup

          void onItemPickup(EntityPlayer player,
                          ItemStack item)

    - #### serverCustomPayload

          void serverCustomPayload(NetServerHandler handler,
                                 Packet250CustomPayload packet)

    - #### serverChat

          void serverChat(NetServerHandler source,
                        String message)